/*!
 * Copyright (c) 2017, Okta, Inc. and/or its affiliates. All rights reserved.
 * The Okta software accompanied by this notice is provided pursuant to the Apache License, Version 2.0 (the "License.")
 *
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0.
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *
 * See the License for the specific language governing permissions and limitations under the License.
 */
const addUsersToGroup = require('../../functions/add-users-to-group');
const logger = require('../../util/logger');
const cache = require('./cache');

function addUsersFromDirectory(directoryId) {
  const userIds = cache.directoryUserMap[directoryId];
  const groupId = cache.directoryMap[directoryId];

  if (!Array.isArray(userIds) || userIds.length === 0) {
    return;
  }

  logger.info(`Adding ${userIds.length} users to Group id=${groupId}`);
  return addUsersToGroup(groupId, userIds);
}

module.exports = addUsersFromDirectory;
